SNMPGET(1)

NAME
snmpget - communicates with a network entity using SNMP GET requests

SYNOPSIS
snmpget [COMMON OPTIONS] [-Cf] OID [OID]...

DESCRIPTION
snmpget is an SNMP application that uses the SNMP GET request to query for information on a network entity. One or more object identifiers (OIDs) may be given as arguments on the command line. Each variable name is given in the format specified in variables(5).

For example:

snmpget -c public zeus system.sysDescr.0

will retrieve the variable system.sysDescr.0:

system.sysDescr.0 = "SunOS zeus.net.cmu.edu 4.1.3_U1 1 sun4m"

If the network entity has an error processing the request packet, an error packet will be returned and a message will be shown, helping to pinpoint in what way the request was malformed. If there were other variables in the request, the request will be resent without the bad variable.

OPTIONS

-Cf If -Cf is not specified, some applications (snmpdelta, snmpget, snmpgetnext and snmpstatus) will try to fix errors returned by the agent that you were talking to and resend the request. The only time this is really useful is if you specified a OID that didn't exist in your request and you're using SNMPv1 which requires "all or nothing" kinds of requests. Here is an example (note that system.sysUpTime is an incomplete OID as it needs the .0 index appended to it):

snmpget -v1 -Cf -c public localhost system.sysUpTime system.sysContact.0
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
This name doesn't exist: system.sysUpTime
snmpget -v1 -c public localhost system.sysUpTime system.sysContact.0
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
This name doesn't exist: system.sysUpTime
system.sysContact.0 = STRING: root@localhost

    With the -Cf specified the application will not try to fix the PDU for you.

In addition to this option, snmpget takes the common options described in the snmpcmd(1) manual page.

SEE ALSO
snmpcmd(1), variables(5).